Bug 1181569 - Perl 5.20
Summary: Perl 5.20
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-13 11:38 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
== Perl 5.20 == Perl has been updated to version 5.20 in Fedora 22. This new release brings several new features, changes to existing behavior, and removes a few features; notable changes are described below. New features: * Subroutine 'prototype' attribute allows to declare subroutine prototype in postfix manner. * The new '%hash{...}' and '%array[...]' syntax returns a list of key/value and index/value pairs, respectively. * Unicode 6.3 tables added. * More internal counters support 64-bit values (arrays with more than 2^32 elements, regular expression matching strings longer than 2^32 characters). * Copy-on-write mechanism is used when assigning scalars. * Speed was improved (lazy evaluation of logical conjunction and disjunction in void context, constant hash look-ups, return at the end of subroutine). * New modules were added into the core ('experimental', 'IO::Socket::IP'). Changes in existing behavior: * 'use locale' in an UTF-8 locale environment enables Unicode character type processing. * perl initializes locale according to all locale environment variables (such as 'LANG'). * The '-F' perl option implies the '-a' option. * The '-a' perl option implies '-n' option. * Character after a '\c' sequence in double-quoted string or regular expression must be a printable character and may not be a '{'. * In 'use locale' scope, regular expression matching which depends on locale properties (like case) taints values. * The regular expression pattern element '\p{All}' previously matched only the Unicode code points. Now it matches all possible code points; that is, making it equivalent to qr/./s. Therefore, '\p{All}' is no longer synonymous with '\p{Any}', which continues to match only the Unicode code points. * The output format for 'Data::Dumper' has changed. * Locale decimal point in Perl code is subject to locale only in scope of use locale. Removed features: * 'do subroutine(LIST)' is no longer supported and results in a syntax error. * The 'PerlIO_vsprintf()' and 'PerlIO_sprintf()' functions have been removed. For more information, see the 5.20 perldelta (http://search.cpan.org/dist/perl-5.20.0/pod/perldelta.pod), 5.20.1 perldelta (http://search.cpan.org/dist/perl-5.20.1/pod/perldelta.pod) and 5.20.2 perldelta (http://search.cpan.org/dist/perl-5.20.2/pod/perldelta.pod).
Clone Of:
Environment:
Last Closed: 2015-07-21 10:28:33 UTC
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-01-13 11:38:40 UTC
This is a tracking bug for Change: Perl 5.20
For more details, see: https://fedoraproject.org//wiki/Changes/perl5.20

A new perl 5.20 version brings a lot of changes done over a year of development. See 5.20.0 perldelta for more details.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:44 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Petr Bokoc 2015-04-08 14:13:52 UTC
Hello Petr and Jitka, we'd like to include this change in the F22 Beta Release Notes.

Please take a look at the draft in the Doc Text field, and let me know if this text is sufficient, or if there's anything you'd like to add or change. I based the text on the Release Notes section of the change's Wiki page (thanks for writing that!), the only significant change I made was rewriting the \P{All} item in the second list.

Thanks!

Comment 3 Petr Pisar 2015-04-08 15:03:32 UTC
It's good. Maybe you could keep links to all three perldelta documents (5.20.0, 5.20.1, 5.20.2).

Comment 4 Petr Bokoc 2015-04-08 15:13:11 UTC
Thanks. Links added.


Note You need to log in before you can comment on or make changes to this bug.